org.apache.cayenne.map

## Class EntityListener

- java.lang.Object
- - org.apache.cayenne.map.EntityListener

- All Implemented Interfaces:
    Serializable, XMLSerializable

  Deprecated.
  since 4.0, as EntityResolver no longer loads listeners from its DataMaps.

      @Deprecated
      public class EntityListener
      extends Object
      implements Serializable, XMLSerializable

  A mapping descriptor of an entity listener class that declares one or more callback methods to be notified of the entity events.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CallbackMap` | `callbacks` Deprecated.
    `protected String` | `className` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityListener()` Deprecated.
    `EntityListener(String className)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAsXML(XMLEncoder encoder)` Deprecated. Prints itself as XML to the provided XMLEncoder.
    `CallbackMap` | `getCallbackMap()` Deprecated. Returns an object that stores callback methods of this listener.
    `String` | `getClassName()` Deprecated.
    `void` | `setClassName(String className)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

      Deprecated.

    - #### callbacks

          protected CallbackMap callbacks

      Deprecated.

  - ### Constructor Detail

    - #### EntityListener

          public EntityListener()

      Deprecated.

    - #### EntityListener

          public EntityListener(String className)

      Deprecated.

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Deprecated.

    - #### setClassName

          public void setClassName(String className)

      Deprecated.

    - #### getCallbackMap

          public CallbackMap getCallbackMap()

      Deprecated.
      Returns an object that stores callback methods of this listener.
      Returns:
        callback map

    - #### encodeAsXML

          public void encodeAsXML(XMLEncoder encoder)

      Deprecated.
      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.